import { r as registerInstance, h } from './index-dd1fc9a4.js';
import './common-ecdc423b.js';
import { T as ThemeProvider } from './ThemeProvider-2443ac46.js';

const UIThemeProvider = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.type = 'base';
    }
    render() {
        return (h(ThemeProvider, Object.assign({}, this), h("slot", null)));
    }
};

export { UIThemeProvider as ui_theme_provider };
